# 1.1.6
## Fixed
* Fixed CSRF checking issues

# 1.1.5
## Improved
* Chunked queries are now faster
* The app will now start at the _Statistics & Metrics_ page

## Fixed
* Possible exception with Sccuot's `OCC` commands

# 1.1.0
## New
* The number of public links is now collected as a metric

## Improved
* The average value in the timeline view now displays a unit if necessary

## Fixed
* Values in the timeline view were missing thousands separators

# 1.0.0
## New
* A timeline view has been added, showing the timeline of various metrics across all snapshots

# 0.7.1
## Improved
* The query chunk size is halved on each retry to reduce the likelihood of errors
* Improved the calculation of the charts' heights

## Fixed
* Metrics export of older snapshot was broken

# 0.7.0
## New
* The file types chart can also show the occupied storage per group
* The query chunk size can be configured

## Improved
* Most queries are performed in chunks for better stability
* Queries are retried a total of 3 times before failing

## Fixed
* Some filecache queries were unnecessarily executed multiple times

# 0.6.5
## Improved
* The layout of all pages is now more dynamic and responsive

# 0.6.0
## New
* The latest snapshot is exposed as Prometheus metrics

# 0.5.6
## New
* An option to filter out files of closed accounts when collecting file types statistics

# 0.5.5
## Improved
* All queries to the file cache are now split into chunks to improve stability

# 0.5.1
## Improved
* Non-admin users can now browse through statistics

# 0.5.0
## New
* First public beta
