<?php

return ['routes' => [
    // HelpController: Pages
    [
        'name' => 'help#about_page',
        'url' => '/',
        'verb' => 'GET',
    ],
    [
        'name' => 'help#manual_page',
        'url' => '/help/manual',
        'verb' => 'GET',
    ],

    // SnapshotController: API endpoints
    [
        'name' => 'snapshot#get_all',
        'url' => '/snapshot/get',
        'verb' => 'GET',
    ],
    [
        'name' => 'snapshot#get',
        'url' => '/snapshot/get/{id}',
        'verb' => 'GET',
    ],
    [
        'name' => 'snapshot#take',
        'url' => '/snapshot/take',
        'verb' => 'POST',
    ],
    [
        'name' => 'snapshot#delete',
        'url' => '/snapshot/delete',
        'verb' => 'POST',
    ],
    // SnapshotController: Pages
    [
        'name' => 'snapshot#take_page',
        'url' => '/snapshot/take',
        'verb' => 'GET',
    ],
    [
        'name' => 'snapshot#manage_page',
        'url' => '/snapshot/manage',
        'verb' => 'GET',
    ],

    // StatisticsController: Pages
    [
        'name' => 'statistics#statistics_page',
        'url' => '/stats',
        'verb' => 'GET',
    ],

	// TimelineController: Pages
	[
		'name' => 'timeline#timeline_page',
		'url' => '/timeline',
		'verb' => 'GET',
	],

    // ConfigController: API endpoints
    [
        'name' => 'config#get',
        'url' => '/config/get',
        'verb' => 'GET',
    ],
    [
        'name' => 'config#get_defaults',
        'url' => '/config/get/defaults',
        'verb' => 'GET',
    ],
    [
        'name' => 'config#set',
        'url' => '/config/set',
        'verb' => 'POST',
    ],
    // ConfigController: Pages
    [
        'name' => 'config#snapshot_settings_page',
        'url' => '/config/snapshot-settings',
        'verb' => 'GET',
    ],

	// MetricsController: Pages
	[
		'name' => 'metrics#metrics_page',
		'url' => '/metrics',
		'verb' => 'GET',
	],
]];
