<?php

namespace OCA\SccuotNG\Stats\Collector;

use OCA\SccuotNG\Db\OC\GroupsMapper;
use OCA\SccuotNG\Service\ConfigService;

use OCP\IDBConnection;

class GroupsCountCollector extends BaseCollector {
    protected function collectData(IDBConnection $db, int $timestamp, int $chunkSize, ConfigService $config) {
        $mapper = new GroupsMapper($db, $chunkSize);
        return $mapper->queryTotalCount(true);
    }
}
