<?php

namespace OCA\SccuotNG\Util;

class FileSize {
	// Returns the quota size in bytes; if no quota is set, false is returned
	public static function ParseQuotaString($value, $default = false) {
		$value = trim($value);
		if ($value === '' || strcasecmp($value, 'none') == 0) {
			return false;
		} elseif (strcasecmp($value, 'default') == 0) {
			return $default;
		}

		$byteValue = \OC_Helper::computerFileSize($value);
		if ($byteValue === false) {
			return false;
		}
		return intval($byteValue);
	}
}
