<?php
    print_unescaped($this->inc('template', ['scope' => 'snapshot', 'file' => 'take']));
?>

<!-- Take snapshot template -->
<script id="content-tpl" type="text/x-handlebars-template">
    <div class="content-page">
        <div class="content-header">
            <img src="<?php print_unescaped(image_path('sccuot_ng', 'nav/take-snapshot.svg')); ?>" class="icon icon-center" width="23px"/>
            <h2>Take snapshot</h2>
        </div>

        <div id="take-snapshot-section">
            <div class="section-header">
                <h3>Take new snapshot</h3>
            </div>
            <div>Here you can manually take a new snapshot. This process will run in the background and will thus not interrupt your ownCloud instance.</div>
            <div>&nbsp;</div>
            <div>
                <form id="take-snapshot-form" class="form box box-dynamic">
                    <div style="grid-row: 1;">
                        <div id="snapshot-comment-table">
                            <label for="snapshot-comment" style="grid-column: 1;">Comment:</label>
                            <input id="snapshot-comment" type="text" maxlength="255" style="grid-column: 2;" placeholder="Optional snapshot comment"/>
                        </div>
                    </div>
                    <div style="grid-row: 2; text-align: right;">
                        <button id="snapshot-take">Take snapshot</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</script>
