<script id="stats-users-quota-tpl" type="text/x-handlebars-template">
    {{#if active_snapshot}}
    <div class="chart-caption-container" style="grid-template-columns: auto max-content;">
        <div style="grid-row: 1; grid-column: 1;">
            Below chart shows a histogram of how many users have used up to how much of their total storage quota.
            <i>Note that only open user accounts are considered.</i>
        </div>
        <div style="grid-row: 1; grid-column: 2;">
            <label for="histogram-users-quota-bin-count">Number of bins:</label>
            <select name="histogram-users-quota-bin-count" title="Number of bins" id="histogram-users-quota-bin-count">
                <?php foreach(range(2,32) as $i): ?>
                    <option value="<?= $i; ?>"><?= $i; ?></option>
                <?php endforeach; ?>
            </select>
        </div>
    </div>
    {{#if active_snapshot.values.users_storage}}
    <div id="stats-container-chart">
        <canvas id="users-quota-chart" aria-label="Users quota histogram" role="img">
            <p>Unable to display chart</p>
        </canvas>
    </div>
    {{else}}
    <div>
        <em><i>The current snapshot doesn't contain any users quota statistics.</i></em>
    </div>
    {{/if}}
    {{/if}}
</script>
