<script id="stats-users-storage-tpl" type="text/x-handlebars-template">
    {{#if active_snapshot}}
    <div class="chart-caption-container" style="grid-template-columns: auto max-content;">
        <div style="grid-row: 1; grid-column: 1;">
            Below chart shows a histogram of how many users have used up to how much disk space.
            <i>Note that only open user accounts are considered.</i>
        </div>
        <div style="grid-row: 1; grid-column: 2;">
            <label for="histogram-users-storage-min-limit">Size limits:</label>
            <input type="number" id="histogram-users-storage-min-limit" class="number-input" placeholder="None"/>
            to
            <input type="number" id="histogram-users-storage-max-limit" class="number-input" placeholder="None"/>
            <span id="histogram-users-storage-limits-unit" class="number-input-unit">MB</span>

            <span class="tab-bar-separator">&nbsp</span>

            <label for="histogram-users-storage-bin-count">Number of bins:</label>
            <select name="histogram-users-storage-bin-count" title="Number of bins" id="histogram-users-storage-bin-count">
                <?php foreach(range(2,32) as $i): ?>
                    <option value="<?= $i; ?>"><?= $i; ?></option>
                <?php endforeach; ?>
            </select>
        </div>
    </div>
    {{#if active_snapshot.values.users_storage}}
    <div id="stats-container-chart">
        <canvas id="users-storage-chart" aria-label="Users storage histogram" role="img">
            <p>Unable to display chart</p>
        </canvas>
    </div>
    {{else}}
    <div>
        <em><i>The current snapshot doesn't contain any users storage statistics.</i></em>
    </div>
    {{/if}}
    {{/if}}
</script>
