'use strict';

function fileSizeUnits() {
    let _units = [];
    let _addUnit = function (name, unit, factor) {
        _units.push({
            name: name,
            unit: unit,
            factor: factor
        });
    }

    _addUnit('Bytes', 'B', 1);
    _addUnit('Kilobytes', 'KB', 1024);
    _addUnit('Megabytes', 'MB', 1024 * 1024);
    _addUnit('Gigabytes', 'GB', 1024 * 1024 * 1024);
    _addUnit('Terabytes', 'TB', 1024 * 1024 * 1024 * 1024);
    return _units;
}
