<?php

namespace OCA\SccuotNG\Command;

use OCA\SccuotNG\Service\ConfigService;
use OCA\SccuotNG\Service\SnapshotService;
use OCA\SccuotNG\Util\OutputProxy;

use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class SccuotCommand extends Command {
	protected SnapshotService $snapshotService;
	protected ConfigService $configService;

	public function __construct(SnapshotService $snapshotService, ConfigService $configService) {
		parent::__construct();

		$this->snapshotService = $snapshotService;
		$this->configService = $configService;
	}

	protected function execute(InputInterface $input, OutputInterface $output) {
		OutputProxy::assign($output);
		$this->executeCommand($input);
		OutputProxy::unassign($output);

        return 0;
	}

	protected function executeCommand(InputInterface $input) {
	}
}
