<?php

namespace OCA\SccuotNG\Http;

use OCP\AppFramework\Http;
use OCP\AppFramework\Http\JSONResponse;

class HandlerResponse extends JSONResponse {
    public function __construct($message, $data = [], $statusCode = Http::STATUS_OK) {
        $response = ['message' => $message, 'data' => $data];
        parent::__construct($response, $statusCode);
    }
}
