<?php

namespace OCA\SccuotNG\Service;

use OCP\IUserSession;

class SccuotService {
    private $user;

    private ConfigService $config;

    public function __construct(IUserSession $session, ConfigService $config) {
        $this->user = $session->getUser();

        $this->config = $config;
    }

    public function getLoggedInUser() {
        return $this->user;
    }

    public function getConfig() {
        return $this->config;
    }
}
