<?php

namespace OCA\SccuotNG\Stats\Collector;

use OCA\SccuotNG\Db\OC\PreferencesMapper;
use OCA\SccuotNG\Service\ConfigService;

use OCP\IDBConnection;

class UsersStorageCollector extends BaseCollector {
    protected function collectData(IDBConnection $db, int $timestamp, int $chunkSize, ConfigService $config) {
		$mapper = new PreferencesMapper($db, $chunkSize);
		$filesSizes = $mapper->queryUserStorages();
        sort($filesSizes);
        return $filesSizes;
    }
}
