<?php

namespace OCA\SccuotNG\Stats\Value;

use OCA\SccuotNG\Db\Snapshot;
use OCA\SccuotNG\Service\ConfigService;
use OCA\SccuotNG\Service\MetricsService;
use OCA\SccuotNG\Stats\Collector\ICollector;

use JsonSerializable;

interface IValue extends JsonSerializable {
    public function setData($data);
    public function data();

    public function createCollector(): ICollector;

	public function expose(Snapshot $snapshot, MetricsService $metrics, ConfigService $config);
}
