<?php
    print_unescaped($this->inc('template', ['scope' => 'help', 'file' => 'about']));
?>

<script id="content-tpl" type="text/x-handlebars-template">
    <div class="info-table-container">
        <img src="<?php print_unescaped(image_path('sccuot_ng', 'icons/sccuot-ng.svg')); ?>" class="icon-filter-black" style="opacity: 0.75;" width="75px"/>
        <h2 style="font-size: 500%; display: inline;">Sccuot NG</h2>
        <h3>Welcome to <strong>Sccuot NG</strong> - the <strong>N</strong>ext <strong>G</strong>eneration version of the <strong>Statistical computations component and usage overview tool</strong>!</h3>

        <div style="margin-top: 30px; font-size: 110%;">
            <div style="font-weight: bold;">Sccuot NG version:</div>
            <div><?php p($_['sccuot-version']); ?></div>
        </div>

        <div style="margin-top: 30px;">
            <a href="mailto:oc.wwuit@uni-muenster.de" target="_blank">Support, bugs & feature requests</a>
            <div style="margin: 0px; border-bottom: 1px solid rgba(0, 0, 0, 0.065); width: 100%;">&nbsp;</div>
            <div style="padding-top: 5px;"><em>Copyright &copy; 2022, 2023 <a href="https://www.uni-muenster.de" target="_blank">University of M&uuml;nster</a></em></div>
        </div>
    </div>
</script>
