<script id="stats-file-types-tpl" type="text/x-handlebars-template">
    {{#if active_snapshot}}
    <div class="chart-caption-container" style="grid-template-columns: auto max-content;">
        <div style="grid-row: 1; grid-column: 1;">
            <span id="filetypes-chart-description">Dynamic text here.</span>
            You can change which groups are captured during a snapshot in the <a href="<?= link_to_route('sccuot_ng', 'config.snapshot_settings_page'); ?>">Settings</a> page.
            <i>Note that only undeleted files are considered.</i>
        </div>
        <div style="grid-row: 1; grid-column: 2;">
            <label for="filetypes-chart-type">Chart type:</label>
            <select name="filetypes-chart-type" title="Chart type" id="filetypes-chart-type">
                <option value="count">Count</option>
                <option value="size">Size</option>
            </select>
        </div>
    </div>
    {{#if active_snapshot.values.file_types_counts}}
    <div id="stats-container-chart">
        <canvas id="filetypes-distribution-chart" aria-label="File types distribution" role="img">
            <p>Unable to display chart</p>
        </canvas>
    </div>
    {{else}}
    <div>
        <em><i>The current snapshot doesn't contain any file types statistics.</i></em>
    </div>
    {{/if}}
    {{/if}}
</script>

<!-- Description text snippets -->
<script id="filetypes-chart-description-count" type="text/x-handlebars-template">
    Below chart shows how many files of certain file types groups are present.
</script>

<script id="filetypes-chart-description-size" type="text/x-handlebars-template">
    Below chart shows how much space is occupied by all files of certain file types groups.
</script>
