<?php
    // Initialize the template
    if (!isset($_['scope']) || !isset($_['file'])) {
        die("Either the template scope or file weren't specified");
    }

    function _initTemplate($scope, $file) {
        // Styles
        style('sccuot_ng', 'sccuot-ng');

        style('sccuot_ng', $scope . '/' . $file);

        // Scripts
        script('sccuot_ng', 'lib/3rdparty/handlebars');
        script('sccuot_ng', 'lib/3rdparty/js.cookie');
        script('sccuot_ng', 'lib/3rdparty/chart.min');
        script('sccuot_ng', 'lib/3rdparty/chartjs-plugin-datalabels.min');
	    script('sccuot_ng', 'lib/3rdparty/chartjs-plugin-annotation.min');

        script('sccuot_ng', 'lib/snapshot/snapshot');
	    script('sccuot_ng', 'lib/timeline/timeline');
        script('sccuot_ng', 'lib/handler/handler');
        script('sccuot_ng', 'lib/handler/snapshot/snapshotsHandler');
	    script('sccuot_ng', 'lib/handler/timeline/timelineHandler');
        script('sccuot_ng', 'lib/handler/config/settingsHandler');
        script('sccuot_ng', 'lib/histogram/histogram');
        script('sccuot_ng', 'lib/ui/ui');
        script('sccuot_ng', 'lib/ui/template/template');
        script('sccuot_ng', 'lib/ui/template/helpers');
        script('sccuot_ng', 'lib/ui/template/partials');
        script('sccuot_ng', 'lib/ui/list/listControl');
        script('sccuot_ng', 'lib/ui/view/view');
        script('sccuot_ng', 'lib/ui/subpage/subPage');
        script('sccuot_ng', 'lib/ui/subpage/subPageContainer');
        script('sccuot_ng', 'lib/ui/tabbar/tabBar');
        script('sccuot_ng', 'lib/ui/config/fileTypesGroupsList');
        script('sccuot_ng', 'lib/ui/config/fileTypesGroupsListItems');
        script('sccuot_ng', 'lib/ui/snapshot/snapshotsList');
        script('sccuot_ng', 'lib/ui/snapshot/snapshotsDropDown');
	    script('sccuot_ng', 'lib/ui/timeline/timelineValueDropDown');
        script('sccuot_ng', 'lib/ui/unit/fileSizeUnits');
        script('sccuot_ng', 'lib/ui/unit/fileSizeUnitsDropDown');
        script('sccuot_ng', 'lib/ui/chart/extendedChart');
	    script('sccuot_ng', 'lib/util/utils');

        script('sccuot_ng', $scope . '/' . $file);
    }

    _initTemplate($_['scope'], $_['file']);
?>

<!-- Templates library loader -->
<?php print_unescaped($this->inc('lib/loader')); ?>

<!-- Navigation content template -->
<?php print_unescaped($this->inc('nav/navigation')); ?>

<!-- Basic content template -->
<div id="app">
    <div id="app-navigation">
    </div>

    <div id="app-content">
        <div id="app-content-wrapper">
            <div class="section">
                <!-- Message display -->
                <div id="global-message" class="message message-info" style="display: none;">
                    <div id="global-message-header" class="message-header">Message topic</div>
                    <div id="global-message-text" class="message-text">Message text</div>
                    <div id="global-message-close" class="message-close"><a id="global-message-close-x"><img src="<?php print_unescaped(image_path('sccuot_ng', 'icons/close.svg')); ?>" width="20px"/></a></div>
                </div>

                <!-- Main content -->
                <div id="content-section">
                </div>
            </div>
        </div>
    </div>
</div>
